org.modeshape.jcr.query.parse

## Class JcrSql2QueryParser

- java.lang.Object
- - org.modeshape.jcr.query.parse.BasicSqlQueryParser
  - - org.modeshape.jcr.query.parse.JcrSql2QueryParser

- All Implemented Interfaces:
    QueryParser
  Direct Known Subclasses:
    JcrQomQueryParser

      public class JcrSql2QueryParser
      extends BasicSqlQueryParser

  An specialization of the `BasicSqlQueryParser` that uses a different language name that matches the JCR 2.0 specification.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.query.parse.BasicSqlQueryParser

      `BasicSqlQueryParser.SqlTokenizer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LANGUAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcrSql2QueryParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLanguage()` Get the name of the language that this parser is able to understand.
    `protected LiteralValue` | `literal(TypeSystem typeSystem, Object value)`

    - ### Methods inherited from class org.modeshape.jcr.query.parse.BasicSqlQueryParser

      `and, arithmeticOperand, between, bindVariableName, childNode, childNodeJoinCondition, column, comparison, descendantNode, descendantNodeJoinCondition, equals, equiJoinCondition, fullTextSearch, fullTextSearch, fullTextSearchScore, hashCode, join, length, limit, lowerCase, nodeDepth, nodeLocalName, nodeName, nodePath, not, or, ordering, parseBindVariableName, parseComparisonOperator, parseConstraint, parseDynamicOperand, parseFrom, parseFullTextSearchExpression, parseInClause, parseJoinCondition, parseLimit, parseLiteral, parseLiteralValue, parseName, parseName, parseNamedSelector, parseOrderBy, parseOrdering, parsePath, parsePropertyExistance, parsePropertyValue, parseQuery, parseQuery, parseQueryCommand, parseReferenceValue, parseSelect, parseSelectorName, parseSetQuery, parseStaticOperand, parseWhere, propertyExistence, propertyValue, query, referenceValue, referenceValue, removeBracketsAndQuotes, removeBracketsAndQuotes, sameNode, sameNodeJoinCondition, sameNodeJoinCondition, setCriteria, setQuery, subquery, toString, upperCase`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LANGUAGE

          public static final String LANGUAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JcrSql2QueryParser

          public JcrSql2QueryParser()

  - ### Method Detail

    - #### getLanguage

          public String getLanguage()

      Description copied from interface: `QueryParser`
      Get the name of the language that this parser is able to understand.
      Specified by:
        `getLanguage` in interface `QueryParser`
      Overrides:
        `getLanguage` in class `BasicSqlQueryParser`
      Returns:
        the language name; never null
      See Also:
        `QueryParser.getLanguage()`

    - #### literal

          protected LiteralValue literal(TypeSystem typeSystem,
                             Object value)
                                  throws ValueFormatException

      Overrides:
        `literal` in class `BasicSqlQueryParser`
      Throws:
        `ValueFormatException`
      See Also:
        `BasicSqlQueryParser.literal(TypeSystem, Object)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.